SDL_GL_GetSwapInterval(3)

NAME
SDL_GL_GetSwapInterval - Get the swap interval for the current OpenGL context.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GL_GetSwapInterval(int *interval);

DESCRIPTION
If the system can't determine the swap interval, or there isn't a valid current context, this function will set *interval to 0 as a safe default.

FUNCTION PARAMETERS

interval
    Output interval value. 0 if there is no vertical retrace synchronization, 1 if the buffer swap is synchronized with the vertical retrace, and -1 if late swaps happen immediately instead of waiting for the next retrace

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GL_SetSwapInterval(3)